<?php

declare(strict_types=1);

/**
 * @file
 * Theme settings form for FlexiStyle theme.
 */

use Drupal\Core\Form\FormState;

/**
 * Implements hook_form_system_theme_settings_alter().
 */
function flexi_style_form_system_theme_settings_alter(array &$form, FormState $form_state): void {
  $form['theme_settings']['#open'] = FALSE;
  $form['logo']['#open'] = FALSE;
  $form['favicon']['#open'] = FALSE;

  $form['flexi_style'] = [
    '#type' => 'details',
    '#title' => t('FlexiStyle'),
    '#open' => TRUE,
  ];
  $form['flexi_style']['header_position'] = [
    '#type' => 'select',
    '#title' => t('Header Position'),
    '#default_value' => theme_get_setting('header_position'),
    '#options' => [
      'normal' => t('Normal'),
      'sticky' => t('Sticky'),
      'fixed' => t('Fixed'),
    ],
  ];
  $form['flexi_style']['fs_fonts'] = [
    '#type' => 'select',
    '#title' => t('Fonts'),
    '#default_value' => theme_get_setting('fs_fonts'),
    '#options' => [
      'open-sans' => t('Open Sans'),
      'roboto' => t('Roboto'),
      'lato' => t('Lato'),
      'poppins' => t('Poppins'),
    ],
  ];
  $form['flexi_style']['fs_icons'] = [
    '#type' => 'select',
    '#title' => t('Icons'),
    '#default_value' => theme_get_setting('fs_icons'),
    '#options' => [
      'none' => t('None'),
      'fontawesome' => t('Font Awesome'),
    ],
  ];
  $form['flexi_style']['global_style'] = [
    '#type' => 'textarea',
    '#title' => t('Global Styling'),
    '#placeholder' => t('Global CSS'),
    '#default_value' => theme_get_setting('global_style'),
  ];
  $form['maintenance_mode'] = [
    '#type' => 'details',
    '#title' => t('Maintenance Mode'),
    '#open' => FALSE,
  ];
  $form['maintenance_mode']['maintenance_mode_time'] = [
    '#type' => 'select',
    '#title' => t('Maintenance Mode Time'),
    '#default_value' => theme_get_setting('maintenance_mode_time'),
    '#options' => [
      '1-Hour' => t('1 Hour'),
      '2-Hours' => t('2 Hours'),
      '3-Hours' => t('3 Hours'),
      '4-Hours' => t('4 Hours'),
      '5-Hours' => t('5 Hours'),
      '6-Hours' => t('6 Hours'),
      '7-Hours' => t('7 Hours'),
      '8-Hours' => t('8 Hours'),
    ],
  ];
}
